using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Test_Merge
{
    internal class DriverGapToLeaderWindow:Window
    {
        public DriverGapToLeaderWindow(Bitmap image, Rectangle bounds) : base(image, bounds)
        {
            Name = "Gap to leader";
        }
        /// <summary>
        /// Decodes the gap to leader using Tesseract OCR 
        /// </summary>
        /// <returns></returns>
        public override async Task<object> DecodePng()
        {
            int result = await GetTimeFromPng(WindowImage, OcrImage.WindowType.Gap, Engine);
            return result;
        }
    }
}
